# 6 Options common to most of the OBITools commands

## 6.1 Helpful options

--help, -h

  Display a friendly help message.

--no-progressbar

## 6.2 System related options

Managing parallel execution of tasks

A new feature of OBITools V4 is the ability to run multiple tasks in parallel, reading files, calculating on the data, formatting and writing the results. Each of these tasks can itself be parallelized by dividing the data into batches and running the calculation on several batches in parallel. This allows the overall calculation time of an OBITools command to be reduced considerably. The parameters organizing the parallel calculation are determined automatically to use the maximum capacity of your computer. But in some circumstances, it is necessary to override these default settings either to try to optimize the computation on a given machine, or to limit the OBITools to using only a part of the computational capacity. There are two options for doing this.

--max-cpu

  OBITools V4 are able to run in parallel on all the CPU cores available on the computer. It is sometime required to limit the computation to a smaller number of cores. That option specify the maximum number of cores that the OBITools command can use. This behaviour can also be set up using the `OBIMAXCPU` environment variable.

--workers, -w

If your computer has 8 cores, but you want to limit OBITools to use only two of them you have several solution:

- If you want to set the limit for a single execution you can use the –max-cpu option

      obiconvert --max-cpu 2 --fasta-output data.fastq > data.fasta

  or you can precede the command by setting the environment variable `OBIMAXCPU`

      OBIMAXCPU=2 obiconvert --fasta-output data.fastq > data.fasta

- If you want to set the limit to your complete session, you have to export `OBIMAXCPU`

      export OBIMAXCPU=2

  all the following OBITools commands will be limited to use at max 2 CPU cores.

- If all the time you want to impose this limit, you must include the above `export` command in your `.bashrc` file.

OBITools debuging related options

--debug